**********************************************************************
*El Salvador Poverty and Equity Assessment 2024
**********************************************************************
*Do file: Poverty lines creation and national poverty variables
*Last update: 26/11/2024
**********************************************************************

*****************************************************


foreach y of numlist 2000(1)2019 2021 2022  2023{ 
	u  "$data/SEDLAC/SLV_`y'_EHPM_BASE_SEDLAC", replace 
	
*Para 2001-2007 hay que crear las lineas de pobreza //Fuente: Canasta básica de Consumo BCR El Salvador
{

	*2000
	replace lp_moderada=63 if urbano==1 & ano==2000
	replace lp_moderada=40.8 if urbano==0 & ano==2000
	replace lp_extrema=31.5 if urbano==1 & ano==2000
	replace lp_extrema=20.4 if urbano==0 & ano==2000
	replace ingpe=ingpe/8.75 if ano==2000
	
	*2001
	replace lp_moderada=62.95343 if urbano==1 & ano==2001
	replace lp_moderada=39.979339 if urbano==0 & ano==2001
	replace lp_extrema=31.4767 if urbano==1 & ano==2001
	replace lp_extrema=19.98967 if urbano==0 & ano==2001
	replace ingpe=ingpe/8.75 if ano==2001

	*2002
	replace lp_moderada=63.4912 if urbano==1 & ano==2002
	replace lp_moderada=39.2706 if urbano==0 & ano==2002
	replace lp_extrema=31.7456 if urbano==1 & ano==2002
	replace lp_extrema=19.6353 if urbano==0 & ano==2002
	replace ingpe=ingpe/8.75 if ano==2002
	
	*2003
	replace lp_moderada=63.9294 if urbano==1 & ano==2003
	replace lp_moderada=39.7345 if urbano==0 & ano==2003
	replace lp_extrema=31.9647 if urbano==1 & ano==2003
	replace lp_extrema=19.8672 if urbano==0 & ano==2003
	replace ingpe=ingpe/8.75 if ano==2003
	
	*2004
	replace lp_moderada=65.7868 if urbano==1 & ano==2004
	replace lp_moderada=42.8429 if urbano==0 & ano==2004
	replace lp_extrema=32.8934 if urbano==1 & ano==2004
	replace lp_extrema=21.4214 if urbano==0 & ano==2004
	
	*2005
	replace lp_moderada=69.6529 if urbano==1 & ano==2005
	replace lp_moderada=45.1004 if urbano==0 & ano==2005
	replace lp_extrema=34.8264 if urbano==1 & ano==2005
	replace lp_extrema=22.5502 if urbano==0 & ano==2005
	
	*2006
	replace lp_moderada=71.5803 if urbano==1 & ano==2006
	replace lp_moderada=45.2854 if urbano==0 & ano==2006
	replace lp_extrema=35.7902 if urbano==1 & ano==2006
	replace lp_extrema=22.6427 if urbano==0 & ano==2006
	
	*2007
	replace lp_moderada=76.8897 if urbano==1 & ano==2007
	replace lp_moderada=50.2381 if urbano==0 & ano==2007
	replace lp_extrema=38.4449 if urbano==1 & ano==2007
	replace lp_extrema=25.11905 if urbano==0 & ano==2007

	
	*2023
	replace lp_moderada=135.34 if urbano==1 & ano==2023
	replace lp_moderada=88.93 if urbano==0 & ano==2023

	replace lp_extrema=67.67 if urbano==1 & ano==2023
	replace lp_extrema=44.47 if urbano==0 & ano==2023
}

**POVERTY LINES AND OFFICIAL POVERTY VARIABLES
cap gen pobreza=0
replace pobreza=1 if ingpe<lp_extrema 
replace pobreza=2 if ingpe>lp_extrema & ingpe<lp_moderada

cap gen pobre=0 
replace pobre=1 if pobreza==1 | pobreza==2

cap gen pobreext=0
replace pobreext=1 if pobreza==1

cap gen nopobre=0
replace nopobre=1 if pobreza!=1 & pobreza!=2


save "$data/SLV/SLV_`y'", replace 
}


*The 2020 database is not available on Datalibweb because it has not been harmonized by SEDLAC.

u  "$data/SEDLAC/SLV_2020_EHPM_BASE", replace 


*2020
replace lp_moderada=108.66 if urbano==1 & ano==2020
replace lp_moderada=68.1 if urbano==0 & ano==2020
replace lp_extrema=54.33 if urbano==1 & ano==2020
replace lp_extrema=34.05 if urbano==0 & ano==2020
	
	
**POVERTY LINES AND OFFICIAL POVERTY VARIABLES
cap gen pobreza=0
replace pobreza=1 if ingpe<lp_extrema 
replace pobreza=2 if ingpe>lp_extrema & ingpe<lp_moderada

cap gen pobre=0 
replace pobre=1 if pobreza==1 | pobreza==2

cap gen pobreext=0
replace pobreext=1 if pobreza==1

cap gen nopobre=0
replace nopobre=1 if pobreza!=1 & pobreza!=2


save "$data/SLV/SLV_2020", replace 
